Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network183.158.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
183.158.0.0
Broadcast address
183.159.255.255
First usable
183.158.0.1
Last usable
183.159.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex B79E0000 · Integer 3080585216 to 3080716287
Reverse DNS zones
158.183.in-addr.arpa
159.183.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110111.10011110.00000000.00000000183.158.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10110111.10011110.00000000.00000000183.158.0.0
Broadcast10110111.10011111.11111111.11111111183.159.255.255
Split into smaller subnets/24

183.158.0.0/15 makes 512 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1183.158.0.0/24183.158.0.1 to 183.158.0.254183.158.0.255254
2183.158.1.0/24183.158.1.1 to 183.158.1.254183.158.1.255254
3183.158.2.0/24183.158.2.1 to 183.158.2.254183.158.2.255254
4183.158.3.0/24183.158.3.1 to 183.158.3.254183.158.3.255254
5183.158.4.0/24183.158.4.1 to 183.158.4.254183.158.4.255254
6183.158.5.0/24183.158.5.1 to 183.158.5.254183.158.5.255254
7183.158.6.0/24183.158.6.1 to 183.158.6.254183.158.6.255254
8183.158.7.0/24183.158.7.1 to 183.158.7.254183.158.7.255254
9183.158.8.0/24183.158.8.1 to 183.158.8.254183.158.8.255254
10183.158.9.0/24183.158.9.1 to 183.158.9.254183.158.9.255254
11183.158.10.0/24183.158.10.1 to 183.158.10.254183.158.10.255254
12183.158.11.0/24183.158.11.1 to 183.158.11.254183.158.11.255254
13183.158.12.0/24183.158.12.1 to 183.158.12.254183.158.12.255254
14183.158.13.0/24183.158.13.1 to 183.158.13.254183.158.13.255254
15183.158.14.0/24183.158.14.1 to 183.158.14.254183.158.14.255254
16183.158.15.0/24183.158.15.1 to 183.158.15.254183.158.15.255254
17183.158.16.0/24183.158.16.1 to 183.158.16.254183.158.16.255254
18183.158.17.0/24183.158.17.1 to 183.158.17.254183.158.17.255254
19183.158.18.0/24183.158.18.1 to 183.158.18.254183.158.18.255254
20183.158.19.0/24183.158.19.1 to 183.158.19.254183.158.19.255254
21183.158.20.0/24183.158.20.1 to 183.158.20.254183.158.20.255254
22183.158.21.0/24183.158.21.1 to 183.158.21.254183.158.21.255254
23183.158.22.0/24183.158.22.1 to 183.158.22.254183.158.22.255254
24183.158.23.0/24183.158.23.1 to 183.158.23.254183.158.23.255254
25183.158.24.0/24183.158.24.1 to 183.158.24.254183.158.24.255254
26183.158.25.0/24183.158.25.1 to 183.158.25.254183.158.25.255254
27183.158.26.0/24183.158.26.1 to 183.158.26.254183.158.26.255254
28183.158.27.0/24183.158.27.1 to 183.158.27.254183.158.27.255254
29183.158.28.0/24183.158.28.1 to 183.158.28.254183.158.28.255254
30183.158.29.0/24183.158.29.1 to 183.158.29.254183.158.29.255254
31183.158.30.0/24183.158.30.1 to 183.158.30.254183.158.30.255254
32183.158.31.0/24183.158.31.1 to 183.158.31.254183.158.31.255254
33183.158.32.0/24183.158.32.1 to 183.158.32.254183.158.32.255254
34183.158.33.0/24183.158.33.1 to 183.158.33.254183.158.33.255254
35183.158.34.0/24183.158.34.1 to 183.158.34.254183.158.34.255254
36183.158.35.0/24183.158.35.1 to 183.158.35.254183.158.35.255254
37183.158.36.0/24183.158.36.1 to 183.158.36.254183.158.36.255254
38183.158.37.0/24183.158.37.1 to 183.158.37.254183.158.37.255254
39183.158.38.0/24183.158.38.1 to 183.158.38.254183.158.38.255254
40183.158.39.0/24183.158.39.1 to 183.158.39.254183.158.39.255254
41183.158.40.0/24183.158.40.1 to 183.158.40.254183.158.40.255254
42183.158.41.0/24183.158.41.1 to 183.158.41.254183.158.41.255254
43183.158.42.0/24183.158.42.1 to 183.158.42.254183.158.42.255254
44183.158.43.0/24183.158.43.1 to 183.158.43.254183.158.43.255254
45183.158.44.0/24183.158.44.1 to 183.158.44.254183.158.44.255254
46183.158.45.0/24183.158.45.1 to 183.158.45.254183.158.45.255254
47183.158.46.0/24183.158.46.1 to 183.158.46.254183.158.46.255254
48183.158.47.0/24183.158.47.1 to 183.158.47.254183.158.47.255254
49183.158.48.0/24183.158.48.1 to 183.158.48.254183.158.48.255254
50183.158.49.0/24183.158.49.1 to 183.158.49.254183.158.49.255254
51183.158.50.0/24183.158.50.1 to 183.158.50.254183.158.50.255254
52183.158.51.0/24183.158.51.1 to 183.158.51.254183.158.51.255254
53183.158.52.0/24183.158.52.1 to 183.158.52.254183.158.52.255254
54183.158.53.0/24183.158.53.1 to 183.158.53.254183.158.53.255254
55183.158.54.0/24183.158.54.1 to 183.158.54.254183.158.54.255254
56183.158.55.0/24183.158.55.1 to 183.158.55.254183.158.55.255254
57183.158.56.0/24183.158.56.1 to 183.158.56.254183.158.56.255254
58183.158.57.0/24183.158.57.1 to 183.158.57.254183.158.57.255254
59183.158.58.0/24183.158.58.1 to 183.158.58.254183.158.58.255254
60183.158.59.0/24183.158.59.1 to 183.158.59.254183.158.59.255254
61183.158.60.0/24183.158.60.1 to 183.158.60.254183.158.60.255254
62183.158.61.0/24183.158.61.1 to 183.158.61.254183.158.61.255254
63183.158.62.0/24183.158.62.1 to 183.158.62.254183.158.62.255254
64183.158.63.0/24183.158.63.1 to 183.158.63.254183.158.63.255254
65183.158.64.0/24183.158.64.1 to 183.158.64.254183.158.64.255254
66183.158.65.0/24183.158.65.1 to 183.158.65.254183.158.65.255254
67183.158.66.0/24183.158.66.1 to 183.158.66.254183.158.66.255254
68183.158.67.0/24183.158.67.1 to 183.158.67.254183.158.67.255254
69183.158.68.0/24183.158.68.1 to 183.158.68.254183.158.68.255254
70183.158.69.0/24183.158.69.1 to 183.158.69.254183.158.69.255254
71183.158.70.0/24183.158.70.1 to 183.158.70.254183.158.70.255254
72183.158.71.0/24183.158.71.1 to 183.158.71.254183.158.71.255254
73183.158.72.0/24183.158.72.1 to 183.158.72.254183.158.72.255254
74183.158.73.0/24183.158.73.1 to 183.158.73.254183.158.73.255254
75183.158.74.0/24183.158.74.1 to 183.158.74.254183.158.74.255254
76183.158.75.0/24183.158.75.1 to 183.158.75.254183.158.75.255254
77183.158.76.0/24183.158.76.1 to 183.158.76.254183.158.76.255254
78183.158.77.0/24183.158.77.1 to 183.158.77.254183.158.77.255254
79183.158.78.0/24183.158.78.1 to 183.158.78.254183.158.78.255254
80183.158.79.0/24183.158.79.1 to 183.158.79.254183.158.79.255254
81183.158.80.0/24183.158.80.1 to 183.158.80.254183.158.80.255254
82183.158.81.0/24183.158.81.1 to 183.158.81.254183.158.81.255254
83183.158.82.0/24183.158.82.1 to 183.158.82.254183.158.82.255254
84183.158.83.0/24183.158.83.1 to 183.158.83.254183.158.83.255254
85183.158.84.0/24183.158.84.1 to 183.158.84.254183.158.84.255254
86183.158.85.0/24183.158.85.1 to 183.158.85.254183.158.85.255254
87183.158.86.0/24183.158.86.1 to 183.158.86.254183.158.86.255254
88183.158.87.0/24183.158.87.1 to 183.158.87.254183.158.87.255254
89183.158.88.0/24183.158.88.1 to 183.158.88.254183.158.88.255254
90183.158.89.0/24183.158.89.1 to 183.158.89.254183.158.89.255254
91183.158.90.0/24183.158.90.1 to 183.158.90.254183.158.90.255254
92183.158.91.0/24183.158.91.1 to 183.158.91.254183.158.91.255254
93183.158.92.0/24183.158.92.1 to 183.158.92.254183.158.92.255254
94183.158.93.0/24183.158.93.1 to 183.158.93.254183.158.93.255254
95183.158.94.0/24183.158.94.1 to 183.158.94.254183.158.94.255254
96183.158.95.0/24183.158.95.1 to 183.158.95.254183.158.95.255254
97183.158.96.0/24183.158.96.1 to 183.158.96.254183.158.96.255254
98183.158.97.0/24183.158.97.1 to 183.158.97.254183.158.97.255254
99183.158.98.0/24183.158.98.1 to 183.158.98.254183.158.98.255254
100183.158.99.0/24183.158.99.1 to 183.158.99.254183.158.99.255254
101183.158.100.0/24183.158.100.1 to 183.158.100.254183.158.100.255254
102183.158.101.0/24183.158.101.1 to 183.158.101.254183.158.101.255254
103183.158.102.0/24183.158.102.1 to 183.158.102.254183.158.102.255254
104183.158.103.0/24183.158.103.1 to 183.158.103.254183.158.103.255254
105183.158.104.0/24183.158.104.1 to 183.158.104.254183.158.104.255254
106183.158.105.0/24183.158.105.1 to 183.158.105.254183.158.105.255254
107183.158.106.0/24183.158.106.1 to 183.158.106.254183.158.106.255254
108183.158.107.0/24183.158.107.1 to 183.158.107.254183.158.107.255254
109183.158.108.0/24183.158.108.1 to 183.158.108.254183.158.108.255254
110183.158.109.0/24183.158.109.1 to 183.158.109.254183.158.109.255254
111183.158.110.0/24183.158.110.1 to 183.158.110.254183.158.110.255254
112183.158.111.0/24183.158.111.1 to 183.158.111.254183.158.111.255254
113183.158.112.0/24183.158.112.1 to 183.158.112.254183.158.112.255254
114183.158.113.0/24183.158.113.1 to 183.158.113.254183.158.113.255254
115183.158.114.0/24183.158.114.1 to 183.158.114.254183.158.114.255254
116183.158.115.0/24183.158.115.1 to 183.158.115.254183.158.115.255254
117183.158.116.0/24183.158.116.1 to 183.158.116.254183.158.116.255254
118183.158.117.0/24183.158.117.1 to 183.158.117.254183.158.117.255254
119183.158.118.0/24183.158.118.1 to 183.158.118.254183.158.118.255254
120183.158.119.0/24183.158.119.1 to 183.158.119.254183.158.119.255254
121183.158.120.0/24183.158.120.1 to 183.158.120.254183.158.120.255254
122183.158.121.0/24183.158.121.1 to 183.158.121.254183.158.121.255254
123183.158.122.0/24183.158.122.1 to 183.158.122.254183.158.122.255254
124183.158.123.0/24183.158.123.1 to 183.158.123.254183.158.123.255254
125183.158.124.0/24183.158.124.1 to 183.158.124.254183.158.124.255254
126183.158.125.0/24183.158.125.1 to 183.158.125.254183.158.125.255254
127183.158.126.0/24183.158.126.1 to 183.158.126.254183.158.126.255254
128183.158.127.0/24183.158.127.1 to 183.158.127.254183.158.127.255254
129183.158.128.0/24183.158.128.1 to 183.158.128.254183.158.128.255254
130183.158.129.0/24183.158.129.1 to 183.158.129.254183.158.129.255254
131183.158.130.0/24183.158.130.1 to 183.158.130.254183.158.130.255254
132183.158.131.0/24183.158.131.1 to 183.158.131.254183.158.131.255254
133183.158.132.0/24183.158.132.1 to 183.158.132.254183.158.132.255254
134183.158.133.0/24183.158.133.1 to 183.158.133.254183.158.133.255254
135183.158.134.0/24183.158.134.1 to 183.158.134.254183.158.134.255254
136183.158.135.0/24183.158.135.1 to 183.158.135.254183.158.135.255254
137183.158.136.0/24183.158.136.1 to 183.158.136.254183.158.136.255254
138183.158.137.0/24183.158.137.1 to 183.158.137.254183.158.137.255254
139183.158.138.0/24183.158.138.1 to 183.158.138.254183.158.138.255254
140183.158.139.0/24183.158.139.1 to 183.158.139.254183.158.139.255254
141183.158.140.0/24183.158.140.1 to 183.158.140.254183.158.140.255254
142183.158.141.0/24183.158.141.1 to 183.158.141.254183.158.141.255254
143183.158.142.0/24183.158.142.1 to 183.158.142.254183.158.142.255254
144183.158.143.0/24183.158.143.1 to 183.158.143.254183.158.143.255254
145183.158.144.0/24183.158.144.1 to 183.158.144.254183.158.144.255254
146183.158.145.0/24183.158.145.1 to 183.158.145.254183.158.145.255254
147183.158.146.0/24183.158.146.1 to 183.158.146.254183.158.146.255254
148183.158.147.0/24183.158.147.1 to 183.158.147.254183.158.147.255254
149183.158.148.0/24183.158.148.1 to 183.158.148.254183.158.148.255254
150183.158.149.0/24183.158.149.1 to 183.158.149.254183.158.149.255254
151183.158.150.0/24183.158.150.1 to 183.158.150.254183.158.150.255254
152183.158.151.0/24183.158.151.1 to 183.158.151.254183.158.151.255254
153183.158.152.0/24183.158.152.1 to 183.158.152.254183.158.152.255254
154183.158.153.0/24183.158.153.1 to 183.158.153.254183.158.153.255254
155183.158.154.0/24183.158.154.1 to 183.158.154.254183.158.154.255254
156183.158.155.0/24183.158.155.1 to 183.158.155.254183.158.155.255254
157183.158.156.0/24183.158.156.1 to 183.158.156.254183.158.156.255254
158183.158.157.0/24183.158.157.1 to 183.158.157.254183.158.157.255254
159183.158.158.0/24183.158.158.1 to 183.158.158.254183.158.158.255254
160183.158.159.0/24183.158.159.1 to 183.158.159.254183.158.159.255254
161183.158.160.0/24183.158.160.1 to 183.158.160.254183.158.160.255254
162183.158.161.0/24183.158.161.1 to 183.158.161.254183.158.161.255254
163183.158.162.0/24183.158.162.1 to 183.158.162.254183.158.162.255254
164183.158.163.0/24183.158.163.1 to 183.158.163.254183.158.163.255254
165183.158.164.0/24183.158.164.1 to 183.158.164.254183.158.164.255254
166183.158.165.0/24183.158.165.1 to 183.158.165.254183.158.165.255254
167183.158.166.0/24183.158.166.1 to 183.158.166.254183.158.166.255254
168183.158.167.0/24183.158.167.1 to 183.158.167.254183.158.167.255254
169183.158.168.0/24183.158.168.1 to 183.158.168.254183.158.168.255254
170183.158.169.0/24183.158.169.1 to 183.158.169.254183.158.169.255254
171183.158.170.0/24183.158.170.1 to 183.158.170.254183.158.170.255254
172183.158.171.0/24183.158.171.1 to 183.158.171.254183.158.171.255254
173183.158.172.0/24183.158.172.1 to 183.158.172.254183.158.172.255254
174183.158.173.0/24183.158.173.1 to 183.158.173.254183.158.173.255254
175183.158.174.0/24183.158.174.1 to 183.158.174.254183.158.174.255254
176183.158.175.0/24183.158.175.1 to 183.158.175.254183.158.175.255254
177183.158.176.0/24183.158.176.1 to 183.158.176.254183.158.176.255254
178183.158.177.0/24183.158.177.1 to 183.158.177.254183.158.177.255254
179183.158.178.0/24183.158.178.1 to 183.158.178.254183.158.178.255254
180183.158.179.0/24183.158.179.1 to 183.158.179.254183.158.179.255254
181183.158.180.0/24183.158.180.1 to 183.158.180.254183.158.180.255254
182183.158.181.0/24183.158.181.1 to 183.158.181.254183.158.181.255254
183183.158.182.0/24183.158.182.1 to 183.158.182.254183.158.182.255254
184183.158.183.0/24183.158.183.1 to 183.158.183.254183.158.183.255254
185183.158.184.0/24183.158.184.1 to 183.158.184.254183.158.184.255254
186183.158.185.0/24183.158.185.1 to 183.158.185.254183.158.185.255254
187183.158.186.0/24183.158.186.1 to 183.158.186.254183.158.186.255254
188183.158.187.0/24183.158.187.1 to 183.158.187.254183.158.187.255254
189183.158.188.0/24183.158.188.1 to 183.158.188.254183.158.188.255254
190183.158.189.0/24183.158.189.1 to 183.158.189.254183.158.189.255254
191183.158.190.0/24183.158.190.1 to 183.158.190.254183.158.190.255254
192183.158.191.0/24183.158.191.1 to 183.158.191.254183.158.191.255254
193183.158.192.0/24183.158.192.1 to 183.158.192.254183.158.192.255254
194183.158.193.0/24183.158.193.1 to 183.158.193.254183.158.193.255254
195183.158.194.0/24183.158.194.1 to 183.158.194.254183.158.194.255254
196183.158.195.0/24183.158.195.1 to 183.158.195.254183.158.195.255254
197183.158.196.0/24183.158.196.1 to 183.158.196.254183.158.196.255254
198183.158.197.0/24183.158.197.1 to 183.158.197.254183.158.197.255254
199183.158.198.0/24183.158.198.1 to 183.158.198.254183.158.198.255254
200183.158.199.0/24183.158.199.1 to 183.158.199.254183.158.199.255254
201183.158.200.0/24183.158.200.1 to 183.158.200.254183.158.200.255254
202183.158.201.0/24183.158.201.1 to 183.158.201.254183.158.201.255254
203183.158.202.0/24183.158.202.1 to 183.158.202.254183.158.202.255254
204183.158.203.0/24183.158.203.1 to 183.158.203.254183.158.203.255254
205183.158.204.0/24183.158.204.1 to 183.158.204.254183.158.204.255254
206183.158.205.0/24183.158.205.1 to 183.158.205.254183.158.205.255254
207183.158.206.0/24183.158.206.1 to 183.158.206.254183.158.206.255254
208183.158.207.0/24183.158.207.1 to 183.158.207.254183.158.207.255254
209183.158.208.0/24183.158.208.1 to 183.158.208.254183.158.208.255254
210183.158.209.0/24183.158.209.1 to 183.158.209.254183.158.209.255254
211183.158.210.0/24183.158.210.1 to 183.158.210.254183.158.210.255254
212183.158.211.0/24183.158.211.1 to 183.158.211.254183.158.211.255254
213183.158.212.0/24183.158.212.1 to 183.158.212.254183.158.212.255254
214183.158.213.0/24183.158.213.1 to 183.158.213.254183.158.213.255254
215183.158.214.0/24183.158.214.1 to 183.158.214.254183.158.214.255254
216183.158.215.0/24183.158.215.1 to 183.158.215.254183.158.215.255254
217183.158.216.0/24183.158.216.1 to 183.158.216.254183.158.216.255254
218183.158.217.0/24183.158.217.1 to 183.158.217.254183.158.217.255254
219183.158.218.0/24183.158.218.1 to 183.158.218.254183.158.218.255254
220183.158.219.0/24183.158.219.1 to 183.158.219.254183.158.219.255254
221183.158.220.0/24183.158.220.1 to 183.158.220.254183.158.220.255254
222183.158.221.0/24183.158.221.1 to 183.158.221.254183.158.221.255254
223183.158.222.0/24183.158.222.1 to 183.158.222.254183.158.222.255254
224183.158.223.0/24183.158.223.1 to 183.158.223.254183.158.223.255254
225183.158.224.0/24183.158.224.1 to 183.158.224.254183.158.224.255254
226183.158.225.0/24183.158.225.1 to 183.158.225.254183.158.225.255254
227183.158.226.0/24183.158.226.1 to 183.158.226.254183.158.226.255254
228183.158.227.0/24183.158.227.1 to 183.158.227.254183.158.227.255254
229183.158.228.0/24183.158.228.1 to 183.158.228.254183.158.228.255254
230183.158.229.0/24183.158.229.1 to 183.158.229.254183.158.229.255254
231183.158.230.0/24183.158.230.1 to 183.158.230.254183.158.230.255254
232183.158.231.0/24183.158.231.1 to 183.158.231.254183.158.231.255254
233183.158.232.0/24183.158.232.1 to 183.158.232.254183.158.232.255254
234183.158.233.0/24183.158.233.1 to 183.158.233.254183.158.233.255254
235183.158.234.0/24183.158.234.1 to 183.158.234.254183.158.234.255254
236183.158.235.0/24183.158.235.1 to 183.158.235.254183.158.235.255254
237183.158.236.0/24183.158.236.1 to 183.158.236.254183.158.236.255254
238183.158.237.0/24183.158.237.1 to 183.158.237.254183.158.237.255254
239183.158.238.0/24183.158.238.1 to 183.158.238.254183.158.238.255254
240183.158.239.0/24183.158.239.1 to 183.158.239.254183.158.239.255254
241183.158.240.0/24183.158.240.1 to 183.158.240.254183.158.240.255254
242183.158.241.0/24183.158.241.1 to 183.158.241.254183.158.241.255254
243183.158.242.0/24183.158.242.1 to 183.158.242.254183.158.242.255254
244183.158.243.0/24183.158.243.1 to 183.158.243.254183.158.243.255254
245183.158.244.0/24183.158.244.1 to 183.158.244.254183.158.244.255254
246183.158.245.0/24183.158.245.1 to 183.158.245.254183.158.245.255254
247183.158.246.0/24183.158.246.1 to 183.158.246.254183.158.246.255254
248183.158.247.0/24183.158.247.1 to 183.158.247.254183.158.247.255254
249183.158.248.0/24183.158.248.1 to 183.158.248.254183.158.248.255254
250183.158.249.0/24183.158.249.1 to 183.158.249.254183.158.249.255254
251183.158.250.0/24183.158.250.1 to 183.158.250.254183.158.250.255254
252183.158.251.0/24183.158.251.1 to 183.158.251.254183.158.251.255254
253183.158.252.0/24183.158.252.1 to 183.158.252.254183.158.252.255254
254183.158.253.0/24183.158.253.1 to 183.158.253.254183.158.253.255254
255183.158.254.0/24183.158.254.1 to 183.158.254.254183.158.254.255254
256183.158.255.0/24183.158.255.1 to 183.158.255.254183.158.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses